package com.example.sitodo.model;

import lombok.Data;
import lombok.NoArgsConstructor;

import jakarta.persistence.*;

@Data
@Entity
@NoArgsConstructor
public class TodoItem {

    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "todo_item_seq_gen")
    @SequenceGenerator(name = "todo_item_seq_gen", sequenceName = "todo_item_seq", allocationSize = 1)
    private Long id;

    @Column(nullable = false)
    private String title;

    @Column
    private Boolean finished = Boolean.FALSE;

    public TodoItem(String title) {
        this.title = title;
    }

    public TodoItem(Long id, String title) {
        this.id = id;
        this.title = title;
    }
}
