package com.example.sitodo.functional;

import com.codeborne.selenide.ElementsCollection;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Tag;
import org.junit.jupiter.api.Test;
import org.openqa.selenium.By;
import org.openqa.selenium.WebElement;

import java.util.List;

import static com.codeborne.selenide.Selenide.*;
import static org.junit.jupiter.api.Assertions.assertEquals;

@DisplayName("User Story 2: Bulk Delete Todo Item")
@Tag("e2e")

public class BulkDeleteItemsTest extends BaseFunctionalTest{

    @Test
    @DisplayName("User can create multiple to do items and delete it")
    void addMultipleToDoItems_thenDeleteIt(){
        open("/");

        // Create new items and check whether it was successfully saved
        postNewTodoItem("Buy milk");
        checkItemsInList(List.of("Buy milk"));
        postNewTodoItem("Cut grass");
        checkItemsInList(List.of("Buy milk", "Cut grass"));

        //Click delete button
        WebElement deleteButton = $(By.id("delete-button"));
        deleteButton.click();
        try{
            Thread.sleep(300);
        }
        catch (InterruptedException ie){

        }
        List<WebElement> checkbox = webdriver().object().findElements(By.xpath("//input[@id='todo-checkbox']"));
        for (WebElement boxperitem:checkbox){
            boxperitem.click();
        }

        //Click button "Delete Items"
        WebElement deleteItemsButton = $(By.id("delete-items-button"));
        deleteItemsButton.click();

        //Check that there is no items
        String message = $(By.tagName("p")).getText();

        assertEquals("Your list is empty :(", message);

    }
}
